Skip to main content
Version: v2

Brand Metrics

What are brand metrics?​

When BAV studies a brand it does so on a variety of metrics. These metrics are divided into groups. Each group relates to a specific way to look at a brand, or to a BAV model.

List all brand metrics​

To list all of the brand metrics and browse them via the API, use the list endpoint:

GET /api/v2/brand-metrics

Get a brand​

You may also directly retrieve a brand's details if you already have its system ID.

GET /api/v2/brand-metrics/123

Where 123 is the system ID of the brand metric.

Schema​

Full response schema​

KeyTypeFilterableSortableConfigurableDescription
idinteger✅ (exact)✅✅The system ID.
namestring✅✅✅The primary name of the metric.
descriptionstring❌❌✅A short description on what this metric is about.
is_activeboolean✅✅✅If the metric is active or deprecated.
is_publicboolean✅✅✅Whether the metric is publicly available for all users.
is_coreboolean✅✅✅Whether the metric is part of the core set of BAV metrics.
is_legacyboolean✅✅✅Whether the metric has been discontinued and will not available in new studies.
has_construct_score-✅❌✅Whether the metric has a construct score available.
has_percentile_rank_score-✅❌✅Whether the metric has a percentile rank score available.
has_percentage_score-✅❌✅Whether the metric has a percentage score available.
has_value_score-✅❌✅Whether the metric has a value score available.
has_index_score-✅❌✅Whether the metric has the two index scores available (brandscape and category).
brandscape_data_columnsarray❌❌❌An array of column names in the brandscape_data endpoint for this metric.
created_atstring❌✅✅A datetime string when this brand metric was first created.
updated_atstring(updated since)✅✅A datetime string when this brand metric was last updated.

Relationship Response Schema​

The slim relationship schema is used when the brand is used as part of an include in another resource.

KeyTypeDescription
idintegerThe system ID for the metric.
namestringThe primary name of the metric.
is_activebooleanIf the metric is active or deprecated.

Additional Filters​

For convenience, we have a set of additional filters for brands that are not available in the default filters or are part of the columns. These are:

  • active - Set to 1 to only return active metrics.
  • inactive - Set to 1 to only return inactive metrics.
  • public - Set to 1 to only return public metrics.
  • private - Set to 1 to only return private metrics.
  • groups - A comma-separated list of audience group IDs. This will only return metrics that belong to the specified groups.
  • current - Set to 1 to only return metrics that are in use in studies today.
  • legacy - Set to 1 to only return legacy metrics.
  • core - Set to 1 to only return core metrics.
  • custom - Set to 1 to only return custom metrics.

Relationships & includes​

By default, relationships apart from the sector are not included. See the includes section for more information on how this works. The following relationships are available:

  • group - The group that the metric belongs to.